Bug 467046 - locking assertion failure in qmc2 when using oxygen style
locking assertion failure in qmc2 when using oxygen style
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 09:30 EDT by Julian Sikorski
Modified: 2009-02-06 16:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 16:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2008-10-15 09:30:49 EDT
Description of problem:
In qmc2, when oxygen style is used, qmc2 will lock up upon switching romalyzer on:
[jsikorski@snowball ~]$ qmc2
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libXrender.so.1(XRenderAddGlyphs+0x7b) [0x3336a044db]
#4 /usr/lib64/libQtGui.so.4(_ZNK16QFontEngineX11FT19uploadGlyphToServerEPN13QFontEngineFT9QGlyphSetEjPNS0_5GlyphEP11_XGlyphInfoi+0x54) [0x3e549dbf14]
#5 /usr/lib64/libQtGui.so.4(_ZNK13QFontEngineFT9loadGlyphEPNS_9QGlyphSetEjNS_11GlyphFormatE+0xece) [0x3e549e60de]
#6 /usr/lib64/libQtGui.so.4(_ZNK13QFontEngineFT14recalcAdvancesEiP12QGlyphLayout6QFlagsIN11QTextEngine10ShaperFlagEE+0x84) [0x3e549e6d94]
#7 /usr/lib64/libQtGui.so.4 [0x3e5493b9ac]
#8 /usr/lib64/libQtCore.so.4 [0x3e540c1366]
#9 /usr/lib64/libQtCore.so.4 [0x3e540be5f4]
#10 /usr/lib64/libQtGui.so.4(_ZNK11QTextEngine21shapeTextWithHarfbuzzEi+0x995) [0x3e54967025]
#11 /usr/lib64/libQtGui.so.4(_ZNK11QTextEngine9shapeTextEi+0xa8) [0x3e54967af8]
#12 /usr/lib64/libQtGui.so.4(_ZNK11QTextEngine5shapeEi+0xb5) [0x3e54967e65]
#13 /usr/lib64/libQtGui.so.4(_ZN9QTextLine13layout_helperEi+0x128c) [0x3e54970e8c]
#14 /usr/lib64/libQtGui.so.4 [0x3e549a7332]
#15 /usr/lib64/libQtGui.so.4 [0x3e549a85cd]
#16 /usr/lib64/libQtGui.so.4 [0x3e549acc23]
#17 /usr/lib64/libQtGui.so.4 [0x3e549ad125]
#18 /usr/lib64/libQtGui.so.4 [0x3e549ad3d8]
#19 /usr/lib64/libQtGui.so.4 [0x3e549adebe]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libX11.so.6(XCreateGC+0x22) [0x3334a211f2]
#4 /usr/lib64/libQtGui.so.4 [0x3e5492eab5]
#5 /usr/lib64/libQtGui.so.4 [0x3e5492a29c]
#6 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scrollRectERK5QRectii+0x521) [0x3e5492b7b1]
#7 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scroll_sysEii+0xba) [0x3e5480429a]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget6scrollEii+0xde) [0x3e547cd5ae]
#9 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x110) [0x3e54b5cd90]
#10 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#11 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#12 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#13 /usr/lib64/libQtGui.so.4(_ZN15QAbstractSlider12valueChangedEi+0x2e) [0x3e54d0a53e]
#14 qmc2 [0x419178]
#15 qmc2 [0x53d3ed]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x37d) [0x3e54b4725d]
#18 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#19 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libX11.so.6(XCreateGC+0x22) [0x3334a211f2]
#4 /usr/lib64/libQtGui.so.4 [0x3e5492eab5]
#5 /usr/lib64/libQtGui.so.4 [0x3e5492a29c]
#6 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scrollRectERK5QRectii+0x521) [0x3e5492b7b1]
#7 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scroll_sysEii+0xba) [0x3e5480429a]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget6scrollEii+0xde) [0x3e547cd5ae]
#9 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x110) [0x3e54b5cd90]
#10 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#11 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#12 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#13 /usr/lib64/libQtGui.so.4(_ZN15QAbstractSlider12valueChangedEi+0x2e) [0x3e54d0a53e]
#14 qmc2 [0x419178]
#15 qmc2 [0x53d3ed]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x37d) [0x3e54b4725d]
#18 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#19 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libX11.so.6(XCreateGC+0x22) [0x3334a211f2]
#4 /usr/lib64/libQtGui.so.4 [0x3e5492eab5]
#5 /usr/lib64/libQtGui.so.4 [0x3e5492a29c]
#6 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scrollRectERK5QRectii+0x521) [0x3e5492b7b1]
#7 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scroll_sysEii+0xba) [0x3e5480429a]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget6scrollEii+0xde) [0x3e547cd5ae]
#9 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x110) [0x3e54b5cd90]
#10 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#11 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#12 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#13 /usr/lib64/libQtGui.so.4(_ZN15QAbstractSlider12valueChangedEi+0x2e) [0x3e54d0a53e]
#14 qmc2 [0x419178]
#15 qmc2 [0x53d3ed]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x37d) [0x3e54b4725d]
#18 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#19 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libX11.so.6(XCreateGC+0x22) [0x3334a211f2]
#4 /usr/lib64/libQtGui.so.4 [0x3e5492eab5]
#5 /usr/lib64/libQtGui.so.4 [0x3e5492a29c]
#6 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scrollRectERK5QRectii+0x521) [0x3e5492b7b1]
#7 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scroll_sysEii+0xba) [0x3e5480429a]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget6scrollEii+0xde) [0x3e547cd5ae]
#9 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x110) [0x3e54b5cd90]
#10 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#11 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#12 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#13 /usr/lib64/libQtGui.so.4(_ZN15QAbstractSlider12valueChangedEi+0x2e) [0x3e54d0a53e]
#14 qmc2 [0x419178]
#15 qmc2 [0x53d3ed]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x37d) [0x3e54b4725d]
#18 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#19 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libX11.so.6(XCreateGC+0x22) [0x3334a211f2]
#4 /usr/lib64/libQtGui.so.4 [0x3e5492eab5]
#5 /usr/lib64/libQtGui.so.4 [0x3e5492a29c]
#6 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scrollRectERK5QRectii+0x521) [0x3e5492b7b1]
#7 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scroll_sysEii+0xba) [0x3e5480429a]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget6scrollEii+0xde) [0x3e547cd5ae]
#9 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x110) [0x3e54b5cd90]
#10 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#11 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#12 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#13 /usr/lib64/libQtGui.so.4(_ZN15QAbstractSlider12valueChangedEi+0x2e) [0x3e54d0a53e]
#14 qmc2 [0x419178]
#15 qmc2 [0x53d3ed]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x37d) [0x3e54b4725d]
#18 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#19 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libX11.so.6(XCreateGC+0x22) [0x3334a211f2]
#4 /usr/lib64/libQtGui.so.4 [0x3e5492eab5]
#5 /usr/lib64/libQtGui.so.4 [0x3e5492a29c]
#6 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scrollRectERK5QRectii+0x521) [0x3e5492b7b1]
#7 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scroll_sysEii+0xba) [0x3e5480429a]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget6scrollEii+0xde) [0x3e547cd5ae]
#9 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x110) [0x3e54b5cd90]
#10 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#11 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#12 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#13 /usr/lib64/libQtGui.so.4(_ZN15QAbstractSlider12valueChangedEi+0x2e) [0x3e54d0a53e]
#14 qmc2 [0x419178]
#15 qmc2 [0x53d3ed]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x37d) [0x3e54b4725d]
#18 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#19 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libX11.so.6(XCreateGC+0x22) [0x3334a211f2]
#4 /usr/lib64/libQtGui.so.4 [0x3e5492eab5]
#5 /usr/lib64/libQtGui.so.4 [0x3e5492a29c]
#6 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scrollRectERK5QRectii+0x521) [0x3e5492b7b1]
#7 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scroll_sysEii+0xba) [0x3e5480429a]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget6scrollEii+0xde) [0x3e547cd5ae]
#9 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x110) [0x3e54b5cd90]
#10 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#11 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#12 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#13 /usr/lib64/libQtGui.so.4(_ZN15QAbstractSlider12valueChangedEi+0x2e) [0x3e54d0a53e]
#14 qmc2 [0x419178]
#15 qmc2 [0x53d3ed]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x37d) [0x3e54b4725d]
#18 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#19 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x3334200af7]
#2 /usr/lib64/libX11.so.6 [0x3334a4c610]
#3 /usr/lib64/libX11.so.6(XCreateGC+0x22) [0x3334a211f2]
#4 /usr/lib64/libQtGui.so.4 [0x3e5492eab5]
#5 /usr/lib64/libQtGui.so.4 [0x3e5492a29c]
#6 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scrollRectERK5QRectii+0x521) [0x3e5492b7b1]
#7 /usr/lib64/libQtGui.so.4(_ZN14QWidgetPrivate10scroll_sysEii+0xba) [0x3e5480429a]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget6scrollEii+0xde) [0x3e547cd5ae]
#9 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x110) [0x3e54b5cd90]
#10 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#11 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#12 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#13 /usr/lib64/libQtGui.so.4(_ZN15QAbstractSlider12valueChangedEi+0x2e) [0x3e54d0a53e]
#14 qmc2 [0x419178]
#15 qmc2 [0x53d3ed]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x37d) [0x3e54b4725d]
#18 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#19 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x333420097c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_unlock+0x24) [0x3334200a34]
#2 /usr/lib64/libX11.so.6 [0x3334a4cedd]
#3 /usr/lib64/libX11.so.6(_XReply+0x18a) [0x3334a4d30a]
#4 /usr/lib64/libX11.so.6(XTranslateCoordinates+0x9d) [0x3334a4254d]
#5 /usr/lib64/libQtGui.so.4(_ZNK7QWidget11mapToGlobalERK6QPoint+0x135) [0x3e54804f85]
#6 /usr/lib64/libQtGui.so.4(_ZNK7QWidget11mapToGlobalERK6QPoint+0x81) [0x3e54804ed1]
#7 /usr/lib64/qt4/plugins/inputmethods/im-scim-bridge.so(_ZN29ScimBridgeClientIMContextImpl6updateEv+0x9d) [0x7ff74b78855d]
#8 /usr/lib64/libQtGui.so.4(_ZN7QWidget16updateMicroFocusEv+0x1a) [0x3e547ca53a]
#9 /usr/lib64/libQtGui.so.4(_ZN7QWidget11qt_metacallEN11QMetaObject4CallEiPPv+0x355) [0x3e547d89c5]
#10 /usr/lib64/libQtGui.so.4(_ZN6QFrame11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54d0c0d5]
#11 /usr/lib64/libQtGui.so.4(_ZN19QAbstractScrollArea11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b5cca5]
#12 /usr/lib64/libQtGui.so.4(_ZN9QTextEdit11qt_metacallEN11QMetaObject4CallEiPPv+0x28) [0x3e54b46f08]
#13 /usr/lib64/libQtGui.so.4(_ZN12QTextBrowser11qt_metacallEN11QMetaObject4CallEiPPv+0x25) [0x3e54b4b295]
#14 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#15 /usr/lib64/libQtGui.so.4(_ZN12QTextControl11qt_metacallEN11QMetaObject4CallEiPPv+0x383) [0x3e5495f9b3]
#16 /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x244) [0x3e541574c4]
#17 /usr/lib64/libQtGui.so.4(_ZN13QTextDocument21cursorPositionChangedERK11QTextCursor+0x25) [0x3e54d08745]
#18 /usr/lib64/libQtGui.so.4 [0x3e54991ef6]
#19 /usr/lib64/libQtGui.so.4 [0x3e54956ef0]
Zakończony
[jsikorski@snowball ~]$

Version-Release number of selected component (if applicable):
kdebase-runtime-4.1.2-4.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install qmc2 (available in RPM Fusion nonfree)
2. Switch the style to oxygen (tools >options > frontend > gui style)
3. Enable romalyzer (tools > romalyzer)
  
Actual results:
program freezes using 100% cpu

Expected results:
program functions normally

Additional info:
I was unable to get better backtrace although I had required debuginfo packages installed. Please let me know if this is sufficient.
Comment 1 Kevin Kofler 2008-10-15 09:57:10 EDT
I don't see Oxygen showing up at all in those backtraces, it looks like a Qt, libX11 or libxcb bug which Oxygen merely triggers in some way.

To get a better backtrace, you have to run qmc2 in GDB.
Comment 2 Julian Sikorski 2008-10-15 10:49:19 EDT
Breaking on xcb_xlib_lock, I got this:
Breakpoint 1 (xcb_xlib_lock) pending.
(gdb) run
Starting program: /usr/bin/qmc2 
[Thread debugging using libthread_db enabled]
[New Thread 0x7f9c1d78c750 (LWP 4808)]

Breakpoint 1, 0x0000003334200ae0 in xcb_xlib_lock ()
   from /usr/lib64/libxcb-xlib.so.0
Missing separate debuginfos, use: debuginfo-install SDL.x86_64 e2fsprogs.x86_64 expat.x86_64 fontconfig.x86_64 freetype.x86_64 libXi.x86_64 libXinerama.x86_64 libXrandr.x86_64 libcap.x86_64 libxcb.x86_64
(gdb) bt
#0  0x0000003334200ae0 in xcb_xlib_lock () from /usr/lib64/libxcb-xlib.so.0
#1  0x0000003334a4c610 in _XCBLockDisplay (dpy=<value optimized out>)
    at xcb_lock.c:21
#2  0x0000003334a211f2 in XCreateGC (dpy=<value optimized out>, 
    d=<value optimized out>, valuemask=<value optimized out>, 
    values=<value optimized out>) at CrGC.c:76
#3  0x0000003334a34e5c in XOpenDisplay (display=<value optimized out>)
    at OpenDis.c:662
#4  0x0000003e547f11ee in qt_init (priv=<value optimized out>, 
    display=<value optimized out>, visual=<value optimized out>, 
    colormap=<value optimized out>) at kernel/qapplication_x11.cpp:1637
#5  0x0000003e54786e07 in QApplicationPrivate::construct (
    this=<value optimized out>, dpy=<value optimized out>, 
    visual=<value optimized out>, cmap=<value optimized out>)
    at kernel/qapplication.cpp:733
#6  0x0000003e54787c72 in QApplication (this=<value optimized out>, 
    argc=<value optimized out>, argv=<value optimized out>, 
    _internal=<value optimized out>) at kernel/qapplication.cpp:665
#7  0x000000000043f360 in main (argc=1, argv=0x7fff257c9aa8)
    at qmc2main.cpp:3482
(gdb)
Comment 3 Kevin Kofler 2008-10-15 11:04:29 EDT
As I explained on IRC:
I think this one is the offender:
#26 0x00000000004204de in myQtMessageHandler (type=<value optimized out>, 
    msg=<value optimized out>) at qmc2main.cpp:3388
This is redirecting qWarning to a QTextEdit.
We're getting an X11 Error, this calls back into Qt, produces a qWarning, then that gets put into a QTextEdit which calls back into X11 and boom, recursive lock!
Now it may be Oxygen which is triggering the X11 error, so that should be fixed too.
But redirecting qWarning to a QTextEdit is stupid.
Comment 4 Julian Sikorski 2008-10-15 11:11:03 EDT
Here is the backtrace from which the conclusion came:
Breakpoint 1, 0x000000333420097c in ?? () from /usr/lib64/libxcb-xlib.so.0
(gdb) bt
#0  0x000000333420097c in ?? () from /usr/lib64/libxcb-xlib.so.0
#1  0x0000003334200af7 in xcb_xlib_lock () from /usr/lib64/libxcb-xlib.so.0
#2  0x0000003334a4c610 in _XCBLockDisplay (dpy=<value optimized out>)
    at xcb_lock.c:21
#3  0x0000003334a211f2 in XCreateGC (dpy=<value optimized out>, 
    d=<value optimized out>, valuemask=<value optimized out>, 
    values=<value optimized out>) at CrGC.c:76
#4  0x0000003e5492eab5 in QX11WindowSurface::scroll (
    this=<value optimized out>, area=<value optimized out>, 
    dx=<value optimized out>, dy=<value optimized out>)
    at painting/qwindowsurface_x11.cpp:139
#5  0x0000003e5492a29c in QWidgetBackingStore::bltRect (
    this=<value optimized out>, rect=<value optimized out>, 
    dx=<value optimized out>, dy=<value optimized out>, 
    widget=<value optimized out>) at painting/qbackingstore.cpp:407
#6  0x0000003e5492b7b1 in QWidgetPrivate::scrollRect (
    this=<value optimized out>, rect=<value optimized out>, 
    dx=<value optimized out>, dy=<value optimized out>)
    at painting/qbackingstore.cpp:571
#7  0x0000003e5480429a in QWidgetPrivate::scroll_sys (
    this=<value optimized out>, dx=<value optimized out>, 
    dy=<value optimized out>) at kernel/qwidget_x11.cpp:2363
#8  0x0000003e547cd5ae in QWidget::scroll (this=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    dx=<value optimized out>, dy=<value optimized out>)
    at kernel/qwidget.cpp:8881
#9  0x0000003e54b5cd90 in QAbstractScrollArea::qt_metacall (
    this=<value optimized out>, _c=<value optimized out>, 
    _id=<value optimized out>, _a=<value optimized out>)
    at .moc/release-shared/moc_qabstractscrollarea.cpp:78
#10 0x0000003e54b46f08 in QTextEdit::qt_metacall (this=<value optimized out>, 
    _c=<value optimized out>, _id=<value optimized out>, 
    _a=<value optimized out>) at .moc/release-shared/moc_qtextedit.cpp:167
#11 0x0000003e54b4b295 in QTextBrowser::qt_metacall (
    this=<value optimized out>, _c=<value optimized out>, 
    _id=<value optimized out>, _a=<value optimized out>)
    at .moc/release-shared/moc_qtextbrowser.cpp:91
#12 0x0000003e541574c4 in QMetaObject::activate (sender=<value optimized out>, 
    from_signal_index=<value optimized out>, 
    to_signal_index=<value optimized out>, argv=<value optimized out>)
    at kernel/qobject.cpp:3031
#13 0x0000003e54d0a53e in QAbstractSlider::valueChanged (
    this=<value optimized out>, _t1=<value optimized out>)
    at .moc/release-shared/moc_qabstractslider.cpp:161
#14 0x0000000000419178 in MainWindow::on_textBrowserFrontendLog_textChanged (
    this=0x1b67300) at qmc2main.cpp:1649
#15 0x000000000053d3ed in MainWindow::qt_metacall (this=0x1b67300, 
---Type <return> to continue, or q <return> to quit---
    _c=QMetaObject::InvokeMetaMethod, _id=20, _a=0x7fff05945460)
    at moc_qmc2main.cpp:460
#16 0x0000003e541574c4 in QMetaObject::activate (sender=<value optimized out>, 
    from_signal_index=<value optimized out>, 
    to_signal_index=<value optimized out>, argv=<value optimized out>)
    at kernel/qobject.cpp:3031
#17 0x0000003e54b4725d in QTextEdit::qt_metacall (this=<value optimized out>, 
    _c=<value optimized out>, _id=<value optimized out>, 
    _a=<value optimized out>) at .moc/release-shared/moc_qtextedit.cpp:172
#18 0x0000003e54b4b295 in QTextBrowser::qt_metacall (
    this=<value optimized out>, _c=<value optimized out>, 
    _id=<value optimized out>, _a=<value optimized out>)
    at .moc/release-shared/moc_qtextbrowser.cpp:91
#19 0x0000003e541574c4 in QMetaObject::activate (sender=<value optimized out>, 
    from_signal_index=<value optimized out>, 
    to_signal_index=<value optimized out>, argv=<value optimized out>)
    at kernel/qobject.cpp:3031
#20 0x0000003e5495f89d in QTextControl::qt_metacall (
    this=<value optimized out>, _c=<value optimized out>, 
    _id=<value optimized out>, _a=<value optimized out>)
    at .moc/release-shared/moc_qtextcontrol_p.cpp:135
#21 0x0000003e541574c4 in QMetaObject::activate (sender=<value optimized out>, 
    from_signal_index=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    to_signal_index=<value optimized out>, argv=<value optimized out>)
    at kernel/qobject.cpp:3031
#22 0x0000003e54991f19 in QTextDocumentPrivate::endEditBlock (
    this=<value optimized out>) at text/qtextdocument_p.cpp:1103
#23 0x0000003e54956ef0 in QTextControlPrivate::append (
    this=<value optimized out>, text=<value optimized out>, 
    format=<value optimized out>) at text/qtextcontrol.cpp:2708
#24 0x0000003e54b42a77 in QTextEdit::append (this=<value optimized out>, 
    text=<value optimized out>) at widgets/qtextedit.cpp:2572
#25 0x000000000041fe87 in MainWindow::log (this=0x1b67300, logOrigin=1 '\001', 
    message=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11384}, alloc = 0, size = 0, data = 0x7f717a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 370}, alloc = 0, size = 0, data = 0x3e54427dba, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fff05945b40, static codecForCStrings = 0x0})
    at qmc2main.cpp:180
#26 0x00000000004204de in myQtMessageHandler (type=<value optimized out>, 
    msg=<value optimized out>) at qmc2main.cpp:3388
#27 0x0000003e54051ca3 in qt_message_output (msgType=<value optimized out>, 
    buf=<value optimized out>) at global/qglobal.cpp:2067
#28 0x0000003e540520ad in qWarning (msg=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at global/qglobal.cpp:2196
#29 0x0000003e547dcb9f in qt_x_errhandler (dpy=<value optimized out>, 
    err=<value optimized out>) at kernel/qapplication_x11.cpp:542
#30 0x0000003334a45524 in _XError (dpy=<value optimized out>, 
    rep=<value optimized out>) at XlibInt.c:2905
#31 0x0000003334a4cf5f in process_responses (dpy=<value optimized out>, 
    wait_for_first_event=<value optimized out>, 
    current_error=<value optimized out>, current_request=<value optimized out>)
    at xcb_io.c:138
#32 0x0000003334a4d30a in _XReply (dpy=<value optimized out>, 
    rep=<value optimized out>, extra=<value optimized out>, 
    discard=<value optimized out>) at xcb_io.c:370
#33 0x0000003334a294a7 in XGetImage (dpy=<value optimized out>, 
    d=<value optimized out>, x=<value optimized out>, y=<value optimized out>, 
    width=<value optimized out>, height=<value optimized out>, 
    plane_mask=<value optimized out>, format=<value optimized out>)
    at GetImage.c:77
#34 0x0000003e5484896e in QX11PixmapData::toImage (this=<value optimized out>)
    at image/qpixmap_x11.cpp:1407
#35 0x0000003e5483cd8d in QPixmap::toImage (this=<value optimized out>)
    at image/qpixmap.cpp:429
#36 0x0000003e5486530f in QBrush::textureImage (this=<value optimized out>)
    at painting/qbrush.cpp:159
---Type <return> to continue, or q <return> to quit---
#37 0x0000003e548f2d9c in QSpanData::setup (this=<value optimized out>, 
    brush=<value optimized out>, alpha=<value optimized out>)
    at painting/qpaintengine_raster.cpp:5234
#38 0x0000003e548f4680 in QRasterPaintEngine::updateState (
    this=<value optimized out>, state=<value optimized out>)
    at painting/qpaintengine_raster.cpp:1347
#39 0x0000003e5487a47a in QPainterPrivate::updateStateImpl (
    this=<value optimized out>, newState=<value optimized out>)
    at painting/qpainter.cpp:878
#40 0x0000003e5487a55b in QPainterPrivate::updateState (
    this=<value optimized out>, newState=<value optimized out>)
    at painting/qpainter.cpp:906
#41 0x0000003e54883daf in QPainter::drawPath (this=<value optimized out>, 
    path=<value optimized out>) at painting/qpainter.cpp:2822
#42 0x0000003e5487f323 in QPainterPrivate::draw_helper (
    this=<value optimized out>, originalPath=<value optimized out>, 
    op=<value optimized out>) at painting/qpainter.cpp:358
#43 0x0000003e54881ad6 in QPainter::drawRects (this=<value optimized out>, 
    rects=<value optimized out>, rectCount=<value optimized out>)
    at painting/qpainter.cpp:2955
#44 0x0000003e54883508 in QPainter::drawPixmap (this=<value optimized out>, 
    r=<value optimized out>, pm=<value optimized out>, 
    sr=<value optimized out>) at ../../src/gui/painting/qpainter.h:576
---Type <return> to continue, or q <return> to quit---
#45 0x000000000082d7b2 in OxygenHelper::renderWindowBackground (
    this=0x18984f0, p=0x7fff05949490, clipRect=@0x7fff05949450, 
    widget=<value optimized out>, pal=<value optimized out>, y_shift=-23)
    at /usr/include/QtGui/qpainter.h:756
#46 0x000000000083d63e in OxygenStyle::eventFilter (this=0x1d71dc0, 
    obj=0x1b67300, ev=0x7fff05949b00)
    at /usr/src/debug/kdebase-runtime-4.1.2/kstyles/oxygen/oxygen.cpp:3351
#47 0x0000003e54142358 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=<value optimized out>, 
    event=<value optimized out>) at kernel/qcoreapplication.cpp:694
#48 0x0000003e547827ac in QApplicationPrivate::notify_helper (
    this=<value optimized out>, receiver=<value optimized out>, 
    e=<value optimized out>) at kernel/qapplication.cpp:3799
#49 0x0000003e5478a58a in QApplication::notify (this=<value optimized out>, 
    receiver=<value optimized out>, e=<value optimized out>)
    at kernel/qapplication.cpp:3768
#50 0x0000003e54143081 in QCoreApplication::notifyInternal (
    this=<value optimized out>, receiver=<value optimized out>, 
    event=<value optimized out>) at kernel/qcoreapplication.cpp:587
#51 0x0000003e547d392f in QWidgetPrivate::drawWidget (
    this=<value optimized out>, pdev=<value optimized out>, 
    rgn=<value optimized out>, offset=<value optimized out>, 
    flags=<value optimized out>, sharedPainter=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at kernel/qwidget.cpp:4636
#52 0x0000003e5492c601 in QWidgetBackingStore::cleanRegion (
    this=<value optimized out>, rgn=<value optimized out>, 
    widget=<value optimized out>, recursiveCopyToScreen=<value optimized out>)
    at painting/qbackingstore.cpp:1035
#53 0x0000003e5492ca67 in qt_syncBackingStore (widget=<value optimized out>)
    at painting/qbackingstore.cpp:313
#54 0x0000003e547d4d15 in QWidget::event (this=<value optimized out>, 
    event=<value optimized out>) at kernel/qwidget.cpp:7447
#55 0x0000003e54aed43b in QMainWindow::event (this=<value optimized out>, 
    event=<value optimized out>) at widgets/qmainwindow.cpp:1268
#56 0x0000003e547827dd in QApplicationPrivate::notify_helper (
    this=<value optimized out>, receiver=<value optimized out>, 
    e=<value optimized out>) at kernel/qapplication.cpp:3803
#57 0x0000003e5478a58a in QApplication::notify (this=<value optimized out>, 
    receiver=<value optimized out>, e=<value optimized out>)
    at kernel/qapplication.cpp:3768
#58 0x0000003e54143081 in QCoreApplication::notifyInternal (
    this=<value optimized out>, receiver=<value optimized out>, 
    event=<value optimized out>) at kernel/qcoreapplication.cpp:587
#59 0x0000003e54143d2a in QCoreApplicationPrivate::sendPostedEvents (
    receiver=<value optimized out>, event_type=<value optimized out>, 
    data=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at ../../src/corelib/kernel/qcoreapplication.h:209
#60 0x0000003e5416b8e3 in postEventSourceDispatch (s=<value optimized out>)
    at ../../src/corelib/kernel/qcoreapplication.h:214
#61 0x000000351243742b in IA__g_main_context_dispatch (
    context=<value optimized out>) at gmain.c:2012
#62 0x000000351243ac0d in g_main_context_iterate (
    context=<value optimized out>, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2645
#63 0x000000351243adcb in IA__g_main_context_iteration (
    context=<value optimized out>, may_block=<value optimized out>)
    at gmain.c:2708
#64 0x0000003e5416b56f in QEventDispatcherGlib::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:319
#65 0x0000003e5481350f in QGuiEventDispatcherGlib::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:198
#66 0x0000003e54141992 in QEventLoop::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qeventloop.cpp:143
#67 0x0000003e54141b1d in QEventLoop::exec (this=<value optimized out>, 
    flags=<value optimized out>) at kernel/qeventloop.cpp:194
#68 0x0000003e54143fed in QCoreApplication::exec ()
---Type <return> to continue, or q <return> to quit---
    at kernel/qcoreapplication.cpp:845
#69 0x00000000004401c7 in main (argc=1, argv=<value optimized out>)
    at qmc2main.cpp:3573
(gdb)
Comment 5 Steven M. Parrish 2008-11-22 18:46:44 EST
Please report this at Qt's upstream bugtracker and add upstream info to this report.  Thanks
Comment 6 Kevin Kofler 2008-11-22 19:03:28 EST
None of the offending code is Qt code. The Oxygen style is part of kdebase-runtime, qmc2 is a standalone app. So the Qt bugtracker is not the correct one to report this in. Both are doing bad things which together blow up, both should be fixed.

qmc2 needs to be fixed not to redirect warnings to a widget, or to do it asynchronously if they must. qWarnings are produced for X11 errors and you can't call X11 functions in the X11 error handler.

Oxygen needs to be fixed not to cause X11 errors/warnings.
Comment 7 Steven M. Parrish 2009-02-06 09:17:22 EST
If this is still an issue please report upstream at http://sourceforge.net/projects/qmc2/ and report the Oxygen issues at bugs.kde.org
Comment 8 Julian Sikorski 2009-02-06 16:59:20 EST
Will do.

Note You need to log in before you can comment on or make changes to this bug.